INSTANCE dcf77 UINT {
	desc	"DCF77 pulse receiver"
	name	dcf77_config
	new	dcf77_new

	EXTERN pps config_pps {
		desc	"PPS parameters"
		setup	cfg_dcf77_pps_setup
	}

	EXTERN source config_source_subr {
		desc	"Source parameters"
		setup	cfg_dcf77_source_setup
	}

	WORD histogram ENUM {zero dw dt} {
		desc	"DCF77 received bit width histogram"
		func	dcf77_histogram
	}

	WORD preamble WORD {
		desc	"DCF77 preamble bit pattern"
		func	cfg_dcf77_preamble
	}

	WORD tweak ENUM { 
	    max_jitter
	    low_zero
	    high_zero
	    low_one
	    high_one
	    disproof
	    timeout
	    squelch
	    ts_zero
	    ts_one
	    lockbits
	    untrack
	    delay } REAL {
		desc	"tweakable parameters"
		func	cfg_dcf77_tweak
	}
}
