INSTANCE ntpv4 UINT {
	desc	"NTPv4 service"
	name	ntpv4_config
	new	ntpv4_new
	show	ntpv4_show

	WORD partner WORD {
		desc	"Show ntpv4 partners"
		func	cfg_ntpv4_partner
	}

	WORD listen WORD {
		desc	"Specify listen socket address"
		func	cfg_ntpv4_listen
	}

	WORD filter ENUM { frac0 } {
		desc	"Filtering options"
		func	cfg_ntpv4_filter
	}

	INSTANCE server WORD {
		desc	"Remote NTP server"
		head	cfg_ntpv4_server_head
		new	cfg_ntpv4_server_new

		EXTERN source config_source_subr {
			desc "Source parameters"
			setup cfg_ntpv4_server_setup
		}

		WORD poll UINT {
			desc	"Poll interval"
			func	cfg_ntpv4_server_poll
		}
		WORD votes REAL {
			desc	"Votes interval"
			func	cfg_ntpv4_server_votes
		}
	}
}
