INSTANCE oncore UINT {
	desc	"Motorola Oncore M12+T and UT+ GPS receiver"
	name	oncore_config
	new	oncore_new

	show	oncore_show

	WORD serial WORD {
		desc "Serial port device name"
		func	cfg_oncore_serial
	}

	NODE version {
		desc "Show Oncore version information"
		show	oncore_version
	}

	EXTERN pps config_pps {
		desc	"PPS parameters"
		setup	cfg_oncore_pps_setup
	}
	EXTERN source config_source_subr {
		desc	"Source parameters"
		setup	cfg_oncore_source_setup
	}
	WORD almanac WORD {
		desc	"Filename of almanac cache file"
		func	cfg_oncore_almanac
	}
	WORD mask_angle UINT {
		desc	"Lower Mask angle [degrees]"
		func	cfg_oncore_mask_angle
	}
	WORD raim_limit REAL {
		desc	"RAIM limit [s]"
		func	cfg_oncore_raim_limit
	}
}
