# ----------------------------------------------------------------------------
# "THE BEER-WARE LICENSE" (Revision 42):
# <phk@FreeBSD.ORG> wrote this file.  As long as you retain this notice you
# can do whatever you want with this stuff. If we meet some day, and you think
# this stuff is worth it, you can buy me a beer in return.   Poul-Henning Kamp
# ----------------------------------------------------------------------------
# $Id: Makefile.inc,v 1.21 2007/02/07 07:26:31 phk Exp $

VERSION_MAJOR =	1
VERSION_MINOR =	6

WARNS	?=	5

MAGIC	!=	cat ${.CURDIR}/../include/*.h | md5

CFLAGS	+=	-I${.CURDIR}/../include
CFLAGS	+=	-I${.CURDIR}/../
CFLAGS	+=	-DMAGIC=\"${MAGIC}\" -pthread
CFLAGS	+=	-DNTPNS_MAJOR=${VERSION_MAJOR}
CFLAGS	+=	-DNTPNS_MINOR=${VERSION_MINOR}

CFLAGS	+=	-I/usr/local/include

CFLAGS	+=	-g

NO_INSTALLLIB=	yes
NO_PROFILE=	yes

NO_FSCHG =	please
STRIP	=	

book:
	${MAKE} cleandir
	a2ps -1 -L 80 --center-title='$$f' ${BOOKFILES} | psbook | psnup -2 > /tmp/__.ps
