/*
 * ----------------------------------------------------------------------------
 * "THE BEER-WARE LICENSE" (Revision 42):
 * <phk@FreeBSD.ORG> wrote this file.  As long as you retain this notice you
 * can do whatever you want with this stuff. If we meet some day, and you think
 * this stuff is worth it, you can buy me a beer in return.   Poul-Henning Kamp
 * ----------------------------------------------------------------------------
 * $Id: internal.h,v 1.24 2005/10/04 06:44:22 phk Exp $
 *
 * This file contains internal stuff.
 */

/* init functions */

mod_init_t init_log;
mod_init_t init_pll;
mod_init_t init_pllmath;
mod_init_t init_source;
mod_init_t init_shmem;
mod_init_t init_watch;

void run_shmem(void);

/* States of the source selection */
typedef enum {
	NOSRC		= 1,
	FRAC_SWITCH	= 2,
	FRAC_TRACK	= 3,
	UTC_STEP	= 4,
	SRC_SWITCH	= 5,
	UTC_LOCK	= 6,
	COAST		= 7,
	FRAC_LOCK	= 8
} clk_state_e;

extern clk_state_e clk_state;
struct source;
extern struct source *selsrc;

/* for "msg term" */
struct cfgsrc;
void log_close(struct cfgsrc *fd);
void ConfigLog(struct cfgsrc *cp, const char *str);
